Bug 1087769 - Review Request: php-horde-wicked - Wiki application
Review Request: php-horde-wicked - Wiki application
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On: 1098625
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-15 05:13 EDT by Remi Collet
Modified: 2014-08-07 07:46 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-horde-wicked-2.0.1-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-01 02:06:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pahan: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Pavel Alexeev 2014-05-16 13:22:48 EDT
Issues found so far:

1)
php-horde-wicked.src:114: W: mixed-use-of-spaces-and-tabs (spaces: line 10, tab: line 114)

2)
# ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-rawhide-x86_64/root/', '--releasever', '21', 'install', '/home/pasha/SOFT/Review/php-horde-wicked/1087769-php-horde-wicked/results/php-horde-wicked-2.0.1-1.fc21.noarch.rpm']
Error: Package: php-horde-wicked-2.0.1-1.fc21.noarch (/php-horde-wicked-2.0.1-1.fc21.noarch)
           Requires: php-pear(Text_Wiki) < 2.0.0

3)
[!]: Requires correct, justified where necessary.
package.xml have:
  <required>
   <package>
    <name>Text_Wiki</name>
    <channel>pear.php.net</channel>
    <min>1.2.0</min>
   </package>
  </required>

So, no max version should be defined:
Requires:       php-pear(Text_Wiki) >= 1.2.0
Requires:       php-pear(Text_Wiki) <  2.0.0

Requires httpd, mod_php missing.

4)
[!]: Packages should try to preserve timestamps of original installed files.
Please preserve timestamp on package.xml mangled in %prep.
Comment 2 Pavel Alexeev 2014-05-16 13:23:05 EDT
Formal review:
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 137 files have unknown license. Detailed output
     of licensecheck in /home/pasha/SOFT/Review/php-horde-wicked/1087769-php-
     horde-wicked/licensecheck.txt
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/httpd, /etc/httpd/conf.d,
     /etc/horde
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required

     Please cleanup package at least on import time.
[x]: Sources contain only permissible code or content.
[!x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
package.xml have:
  <required>
   <package>
    <name>Text_Wiki</name>
    <channel>pear.php.net</channel>
    <min>1.2.0</min>
   </package>
  </required>

So, no max version should be defined:
Requires:       php-pear(Text_Wiki) >= 1.2.0
Requires:       php-pear(Text_Wiki) <  2.0.0

Requires httpd, mod_php missing.

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[!x]: Buildroot is not present
     Note: Buildroot: present but not needed
[!x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
Please preserve timestamp on package.xml mangled in %prep.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.

Installation errors
-------------------
INFO: mock.py version 1.1.38 starting...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Mock Version: 1.1.38
INFO: Mock Version: 1.1.38
Start: lock buildroot
INFO: installing package(s): /home/pasha/SOFT/Review/php-horde-wicked/1087769-php-horde-wicked/results/php-horde-wicked-2.0.1-1.fc21.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-rawhide-x86_64/root/', '--releasever', '21', 'install', '/home/pasha/SOFT/Review/php-horde-wicked/1087769-php-horde-wicked/results/php-horde-wicked-2.0.1-1.fc21.noarch.rpm']
Error: Package: php-horde-wicked-2.0.1-1.fc21.noarch (/php-horde-wicked-2.0.1-1.fc21.noarch)
           Requires: php-pear(Text_Wiki) < 2.0.0
 You could try using --skip-broken to work around the problem
Error: Package: php-horde-wicked-2.0.1-1.fc21.noarch (/php-horde-wicked-2.0.1-1.fc21.noarch)
           Requires: php-pear(Text_Wiki) >= 1.2.0
 You could try running: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: php-horde-wicked-2.0.1-1.fc21.noarch.rpm
          php-horde-wicked-2.0.1-1.fc21.src.rpm
php-horde-wicked.noarch: W: conffile-without-noreplace-flag /etc/horde/wicked/conf.xml
php-horde-wicked.noarch: W: conffile-without-noreplace-flag /etc/horde/wicked/menu.php.dist
php-horde-wicked.noarch: E: non-readable /etc/horde/wicked/conf.xml 0660L
php-horde-wicked.noarch: E: non-standard-dir-perm /etc/horde/wicked 0770L
php-horde-wicked.noarch: E: non-readable /etc/horde/wicked/menu.php.dist 0640L
php-horde-wicked.noarch: W: no-manual-page-for-binary wicked-mail-filter
php-horde-wicked.noarch: W: no-manual-page-for-binary wicked-convert-to-utf8
php-horde-wicked.noarch: W: no-manual-page-for-binary wicked
php-horde-wicked.noarch: W: install-file-in-docs /usr/share/doc/pear/wicked/INSTALL
php-horde-wicked.src:114: W: mixed-use-of-spaces-and-tabs (spaces: line 10, tab: line 114)
2 packages and 0 specfiles checked; 3 errors, 7 warnings.




Requires
--------
php-horde-wicked (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/pear
    /usr/bin/php
    config(php-horde-wicked)
    php(language)
    php-channel(pear.horde.org)
    php-date
    php-gettext
    php-pcre
    php-pear(PEAR)
    php-pear(Text_Figlet)
    php-pear(Text_Wiki)
    php-pear(pear.horde.org/Horde_Auth)
    php-pear(pear.horde.org/Horde_Autoloader)
    php-pear(pear.horde.org/Horde_Core)
    php-pear(pear.horde.org/Horde_Db)
    php-pear(pear.horde.org/Horde_Exception)
    php-pear(pear.horde.org/Horde_Form)
    php-pear(pear.horde.org/Horde_Http)
    php-pear(pear.horde.org/Horde_Lock)
    php-pear(pear.horde.org/Horde_Mail)
    php-pear(pear.horde.org/Horde_Mime)
    php-pear(pear.horde.org/Horde_Mime_Viewer)
    php-pear(pear.horde.org/Horde_Notification)
    php-pear(pear.horde.org/Horde_Perms)
    php-pear(pear.horde.org/Horde_Prefs)
    php-pear(pear.horde.org/Horde_Rpc)
    php-pear(pear.horde.org/Horde_Text_Diff)
    php-pear(pear.horde.org/Horde_Url)
    php-pear(pear.horde.org/Horde_Util)
    php-pear(pear.horde.org/Horde_Vfs)
    php-pear(pear.horde.org/horde)
    php-spl



Provides
--------
php-horde-wicked:
    config(php-horde-wicked)
    php-horde-wicked
    php-pear(pear.horde.org/wicked)
    wicked



Source checksums
----------------
http://pear.horde.org/get/wicked-2.0.1.tgz :
  CHECKSUM(SHA256) this package     : 8b1fb179e2373c3620249fdf163ada5b43792824ff2e81d8b8d8446edcf1d2ec
  CHECKSUM(SHA256) upstream package : 8b1fb179e2373c3620249fdf163ada5b43792824ff2e81d8b8d8446edcf1d2ec


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -b 1087769
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 3 Remi Collet 2014-05-16 13:58:02 EDT
Damn.. I forget to submit Text_Wiki... done.
Comment 5 Remi Collet 2014-06-16 03:20:54 EDT
Is there any blocker for this review ?
Comment 6 Pavel Alexeev 2014-07-22 06:50:56 EDT
Sorry for delay. It is now in good shape.

PACKAGE APPROVED.
Comment 7 Remi Collet 2014-07-22 06:58:46 EDT
Thanks.


New Package SCM Request
=======================
Package Name: hp-horde-wicked
Short Description: Wiki application
Upstream URL: http://www.horde.org/apps/wicked
Owners: remi
Branches: f20 f21 el6 epel7
InitialCC:
Comment 8 Gwyn Ciesla 2014-07-22 08:15:51 EDT
WARNING: Requested package name hp-horde-wicked doesn't match bug summary
php-horde-wicked
Comment 9 Remi Collet 2014-07-22 08:26:17 EDT
Sorry for the typo...

New Package SCM Request
=======================
Package Name: php-horde-wicked
Short Description: Wiki application
Upstream URL: http://www.horde.org/apps/wicked
Owners: remi
Branches: f20 f21 el6 epel7
InitialCC:
Comment 10 Gwyn Ciesla 2014-07-22 10:35:02 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2014-07-22 11:35:45 EDT
php-horde-wicked-2.0.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-horde-wicked-2.0.1-2.el6
Comment 12 Fedora Update System 2014-07-22 11:35:50 EDT
php-horde-wicked-2.0.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-horde-wicked-2.0.1-2.fc20
Comment 13 Fedora Update System 2014-07-22 14:08:33 EDT
php-horde-wicked-2.0.1-2.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 14 Fedora Update System 2014-08-01 02:06:19 EDT
php-horde-wicked-2.0.1-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 15 Fedora Update System 2014-08-07 07:46:44 EDT
php-horde-wicked-2.0.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.